%define name pybliographer
%define version 1.2.6.2
%define release 2mdk
Summary: 	A framework for working with bibliographic databases
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Group:		Office
Url:            http://pybliographer.org/
Source: 	http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png
Source2:        %{name}-32.png
Source3:        %{name}-48.png
Buildrequires:	pygtk2.0-libglade
Buildrequires:	python-bibtex
Buildrequires:	gnome-python
Buildrequires:	gnome-python-gconf
BuildRequires:	docbook-utils
BuildRequires:  scrollkeeper
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	pygtk2.0-libglade
Requires:	python-bibtex >= 1.1.93.1
Requires(post): desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Pybliographer is a tool for managing bibliographic databases. It
currently supports the following formats: 

- BibTeX (quite complete) 
- Medline (read-only) 
- Ovid files (from ovid.com) 
- Refer and EndNote (read only)
- SGML DocBook (write only) 

Pybliographer can be used for searching, editing, reformatting, etc.
In fact, it's a simple framework that provides easy to use python
classes and functions, and therefore can be extended to any usage
(generating HTML pages according to bibliographic searches, etc).

In addition to the scripting environment, a graphical GNOME interface
is available. It provides powerful editing capabilities, in addition
to a nice hierarchical search mechanism.

%prep
%setup -q

%build
unset DISPLAY
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_datadir/applications/mimeinfo.cache
chmod -x $RPM_BUILD_ROOT%{_datadir}/pybliographer/*.py

%{find_lang} %{name} --with-gnome --all-name

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/pybliographic" title="Pybliographic" icon="pybliographic.png" longtitle="A tool for managing bibliographic databases" needs="x11" section="Office/Publishing" mimetypes="text/x-bibtex" startup_notify="true"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/pybliographic.png
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/pybliographic.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/pybliographic.png

%post
%{update_menus}
update-desktop-database %_datadir/applications > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
%{clean_menus}
update-desktop-database %_datadir/applications > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%_datadir/applications/pybliographic.desktop
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/pybliographer/pybliographer-C.omf
%{_datadir}/pybliographer
%{_menudir}/%{name}
%{_iconsdir}/pybliographic.png
%{_miconsdir}/pybliographic.png
%{_liconsdir}/pybliographic.png


%changelog
* Mon Sep  5 2005 Gtz Waschk <waschk@mandriva.org> 1.2.6.2-2mdk
- drop Xvfb build workaround
- fix deps

* Tue Feb 22 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.6.2-1mdk
- New release 1.2.6.2

* Sun Feb 13 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.6.1-1mdk
- New release 1.2.6.1

* Thu Nov 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- update mime handling
- New release 1.2.5

* Mon Jul 19 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Thu Mar 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix menu section
- add new desktop entry
- don't compress the icons
- new version

* Thu Jan  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-1mdk
- add omf file
- new version

* Tue Nov 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- fix buildrequires
- new version

* Thu Nov 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- fix python-bibtex dependancy

* Thu Nov 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- remove ChangeLog
- new version

* Mon Oct  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.93-1mdk
- requires latest python-bibtex
- new version

* Fri Sep 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.92-2mdk
- add dependancy on gnome-python-gconf

* Fri Sep 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.92-1mdk
- drop library package
- remove bundled recode, now in python-bibtex
- Xvfb build fix
- gnome2 buildrequires
- drop patches
- new version

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.11-8mdk
- mklibname
- patch1: add support for the pygtk wrapper

* Tue Sep 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.11-7mdk
- add patch for python compiling pb with path
- add %%provides %{lib_name_orig} on lib

* Tue Sep 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-6mdk
- Lower gcc 3.2 optimizations to -O0 for recode, this was causing an error 
  when python was trying to dlopen _recodemodule.so
- Remove NO_XALF from menu entry

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.11-5mdk
- Fix forget icons entry

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.11-4mdk
- png icons (out xpm!)

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-3mdk
- Readd documentation, it seems to be missing

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-2mdk
- Remove patch 0, add source4 : we now ship with our own copy 
  of recode 3.5 (since pybliographer doesn't seem to work with recode 3.6..)
  (idea from Debian package)

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-1mdk
- Release 1.0.11
- Patch0: fix compilation with recode > 3.5

* Tue Jul 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-4mdk
- Merge spec (with fix for libification) from Guillaume Rousse <g.rousse@linux-mandrake.com>
 - move back modules from lib package to main package
 - fix compilation
 - split libraries in their own package
 - buildrequires python-devel and libglib-devel
 - truncated descriptions to 72 columns to please rpmlint

* Tue Jul 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- Clean at start of install part (fix miscompilation of Python modules)

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-2mdk
- Fix dependencies 

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-2mdk
- New office menu structure

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- updated to 1.0.8

* Thu Dec 21 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- updated by RA <Ralf.Ahlbrink@i.am>

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- used srpm from Guillaume Rousse :
	Tue Sep 26 2000 Guillaume Rousse <g.rousse@linux-mandrake.co> 
	- added recode require

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- used srpm from Guillaume Rousse :
	Thu Jul 27 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
	- new in contribs
	- specfile adaptation from original provided by Konrad Hinsen <hinsen@cnrs-orleans.fr>
